Apache Tomcat 7.0.42

## org.apache.tomcat.util.file
Class Matcher

    java.lang.Object
      org.apache.tomcat.util.file.Matcher

    public final class Matcher

extends Object

This is a utility class to match file globs. The class has been derived from org.apache.tools.ant.types.selectors.SelectorUtils.

All methods are static.

Field Summary
`static String` `DEEP_TREE_MATCH` The pattern that matches an arbitrary number of directories.

Constructor Summary
`Matcher()`

Method Summary
`static boolean` `match(String pattern, String str)` Tests whether or not a string matches against a pattern.
`static boolean` `match(String pattern, String str, boolean caseSensitive)` Tests whether or not a string matches against a pattern.
`static boolean` `matchPath(Set<String[]> patternSet, String str)` Tests whether or not a given path matches any pattern in the given set.
`static boolean` `matchPath(String[] tokenizedPattern, String[] strDirs, boolean isCaseSensitive)` Core implementation of matchPath using an already tokenized pattern.
`static boolean` `matchPath(String pattern, String str)` Tests whether or not a given path matches a given pattern.
`static boolean` `matchPath(String pattern, String str, boolean isCaseSensitive)` Tests whether or not a given path matches a given pattern.
`static String[]` `tokenizePathAsArray(String path)` Breaks a path up into a array of path elements, tokenizing on `File.separator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEEP_TREE_MATCH

    public static final String DEEP_TREE_MATCH

  The pattern that matches an arbitrary number of directories.

  See Also:
    Constant Field Values

Constructor Detail

### Matcher

    public Matcher()

Method Detail

### matchPath

    public static boolean matchPath(Set<String[]> patternSet,
                                    String str)

  Tests whether or not a given path matches any pattern in the given set. If you need to call this method multiple times with the same pattern you should rather pre parse the pattern using tokenizePathAsArray.

  Parameters:
    `patternSet` - The pattern set to match against. Must not be `null`.
    `str` - The path to match, as a String. Must not be `null`.
  Returns:
    `true` if any pattern in the set matches against the string, or `false` otherwise.
  See Also:
    `tokenizePathAsArray(java.lang.String)`

### matchPath

    public static boolean matchPath(String pattern,
                                    String str)

  Tests whether or not a given path matches a given pattern. If you need to call this method multiple times with the same pattern you should rather pre parse the pattern using tokenizePathAsArray.

  Parameters:
    `pattern` - The pattern to match against. Must not be `null`.
    `str` - The path to match, as a String. Must not be `null`.
  Returns:
    `true` if the pattern matches against the string, or `false` otherwise.
  See Also:
    `tokenizePathAsArray(java.lang.String)`

### matchPath

    public static boolean matchPath(String pattern,
                                    String str,
                                    boolean isCaseSensitive)

  Tests whether or not a given path matches a given pattern. If you need to call this method multiple times with the same pattern you should rather pre parse the pattern using tokenizePathAsArray.

  Parameters:
    `pattern` - The pattern to match against. Must not be `null`.
    `str` - The path to match, as a String. Must not be `null`.
    `isCaseSensitive` - Whether or not matching should be performed case sensitively.
  Returns:
    `true` if the pattern matches against the string, or `false` otherwise.
  See Also:
    `tokenizePathAsArray(java.lang.String)`

### matchPath

    public static boolean matchPath(String[] tokenizedPattern,
                                    String[] strDirs,
                                    boolean isCaseSensitive)

  Core implementation of matchPath using an already tokenized pattern.

### match

    public static boolean match(String pattern,
                                String str)

  Tests whether or not a string matches against a pattern. The pattern may contain two special characters:
  '*' means zero or more characters
  '?' means one and only one character

  Parameters:
    `pattern` - The pattern to match against. Must not be `null`.
    `str` - The string which must be matched against the pattern. Must not be `null`.
  Returns:
    `true` if the string matches against the pattern, or `false` otherwise.

### match

    public static boolean match(String pattern,
                                String str,
                                boolean caseSensitive)

  Tests whether or not a string matches against a pattern. The pattern may contain two special characters:
  '*' means zero or more characters
  '?' means one and only one character

  Parameters:
    `pattern` - The pattern to match against. Must not be `null`.
    `str` - The string which must be matched against the pattern. Must not be `null`.
    `caseSensitive` - Whether or not matching should be performed case sensitively.
  Returns:
    `true` if the string matches against the pattern, or `false` otherwise.

### tokenizePathAsArray

    public static String[] tokenizePathAsArray(String path)

  Breaks a path up into a array of path elements, tokenizing on `File.separator`.

  Parameters:
    `path` - Path to tokenize. Must not be `null`.
  Returns:
    a String array of path elements from the tokenized path

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.